Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003469 [JEDI VCL] 00 JVCL Components major always 2006-01-25 10:13 2006-04-05 01:24
Reporter vmarko View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.10
Summary 0003469: TJvSpin.Thousands := True causes incorrect caret movement (fix)
Description TJvSpin component does not behave correctly after setting Thousands property to true and decimals is > 0. The position is calcuated incorrectly because it does not take decimal part of number into account. Crude fix attached.
Additional Information Related issue: 0002717 - same bug, improper fix, not resolved
Tags No tags attached.
Attached Files ? file icon SpinEditFix.diff [^] (2,231 bytes) 2006-01-25 10:14

- Relationships

-  Notes
(0008453)
vmarko (reporter)
2006-01-25 10:21

The issue affects TJvSpinEdit, sorry for wrong identifier.
(0008463)
obones (administrator)
2006-01-26 07:11

To reproduce, you need these values:

Decimals = 2 (default)
Thousands = True
ValueType = vtFloat
(0008915)
obones (administrator)
2006-04-04 09:24

Your fix is ready to be added in CVS, as soon as it is back online.
(0008948)
obones (administrator)
2006-04-05 01:24

This is now in CVS

- Issue History
Date Modified Username Field Change
2006-01-25 10:13 vmarko New Issue
2006-01-25 10:14 vmarko File Added: SpinEditFix.diff
2006-01-25 10:21 vmarko Note Added: 0008453
2006-01-25 10:22 vmarko Issue Monitored: vmarko
2006-01-26 07:11 obones Note Added: 0008463
2006-01-26 07:11 obones Status new => confirmed
2006-04-04 09:24 obones Note Added: 0008915
2006-04-05 01:24 obones Status confirmed => resolved
2006-04-05 01:24 obones Resolution open => fixed
2006-04-05 01:24 obones Assigned To => obones
2006-04-05 01:24 obones Note Added: 0008948


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker